# This module its only used to pass to the imported modules which is the working_precision.
# The working precision might differ in different scenarios:
# i.e. double precision when implementing the emulator, single precision when modifying the code.

# I'll keep double by default, so everything will work as before except in the places where we specifically change it
working_precision = "double"

# In case it is necessary to change the working_precision from a script it can be done doing the following:
# Setting the working precision
#  import AutoRPE.UtilsRPE.precision_module as precision_module
#  precision_module.working_precision = working_precision

# This should be done before importing the other RPE modules
